All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::invalid_kernel Class Reference

Exception thrown if the provided kernel object (of type cl_kernel) is invalid (e.g. not initialized, from different context, or corrupted). More...

`#include <error.hpp>`

Inheritance diagram for viennacl::ocl::invalid_kernel:

## Detailed Description

Exception thrown if the provided kernel object (of type cl_kernel) is invalid (e.g. not initialized, from different context, or corrupted).

Definition at line 393 of file error.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/error.hpp